TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

EqualDegreeFactorization ( elt-alg^pol F, elt-ord^rat d, elt-alg^pol xq ) -> seq()

### Description

<shortdoc> The equal-degree factorization of squarefree F over the finite field K, where F must be the product of distinct degree-d irreducibles alone, and xq is (x^#K mod F). </shortdoc>

### Examples

x_k:=FiniteField(5); x_kx:=PolynomialAlgebra(x_k); x_f:=x_kx.1^4 + 3*x_kx.1^3 + x_kx.1^2 + 3; x_g:=x_kx.1^5 mod x_f; EqualDegreeFactorization(x_f,2,x_g);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack